class spider extends Hallows_meshes;


#exec MESH IMPORT MESH=spj aNIVFILE=spj_a.3d DATAFILE=spj_d.3d X=0 Y=0 Z=0 UNMIRROR=1
#exec MESH ORIGIN MESH=spj X=0 Y=0 Z=0

#exec MESH SEQUENCE MESH=spj SEQ=All STARTFRAME=0 NUMFRAMES=17
#exec MESH SEQUENCE MESH=spj SEQ=Walk STARTFRAME=0 NUMFRAMES=12
#exec MESH SEQUENCE MESH=spj SEQ=Hiss STARTFRAME=12 NUMFRAMES=10
#exec MESH SEQUENCE MESH=spj SEQ=Attack1 STARTFRAME=23 NUMFRAMES=1	// single frames with spider lashing out
#exec MESH SEQUENCE MESH=spj SEQ=Attack2 STARTFRAME=19 NUMFRAMES=1
#exec MESH SEQUENCE MESH=spj SEQ=Crouch STARTFRAME=24 NUMFRAMES=1	// single frame of spider crouched, to be tweened to
#exec MESH SEQUENCE MESH=spj SEQ=Idle STARTFRAME=24 NUMFRAMES=1	// single frame of spider crouched, to be tweened to
#exec MESH SEQUENCE MESH=spj SEQ=Jumping STARTFRAME=25 NUMFRAMES=1	// single frame of spider tilted back, in the air
#exec MESH SEQUENCE MESH=spj SEQ=Dead STARTFRAME=26 NUMFRAMES=24	// death sequence

//#exec MESH SEQUENCE MESH=spj SEQ=??? STARTFRAME=0 NUMFRAMES=12

#exec MESHMAP NEW MESHMAP=spj MESH=spj
#exec MESHMAP SCALE MESHMAP=spj X=0.1 Y=0.1 Z=0.2

/*
#exec TEXTURE IMPORT NAME=spiJtex1 FILE=MODELS\Spider\spidertex.pcx GROUP=Skins FLAGS=2
#exec TEXTURE IMPORT NAME=spiJtex1 FILE=MODELS\Spider\spidertex.pcx GROUP=Skins PALETTE=spiJtex1
#exec MESHMAP SETTEXTURE MESHMAP=spj NUM=1 TEXTURE=spiJtex1
*/

#exec TEXTURE IMPORT NAME=spunderside FILE=underside.pcx GROUP=Skins FLAGS=2
#exec TEXTURE IMPORT NAME=spunderside FILE=underside.pcx GROUP=Skins PALETTE=spunderside
#exec MESHMAP SETTEXTURE MESHMAP=spj NUM=0 TEXTURE=spunderside
#exec TEXTURE IMPORT NAME=sptopside FILE=topside.pcx GROUP=Skins FLAGS=2
#exec TEXTURE IMPORT NAME=sptopside FILE=topside.pcx GROUP=Skins PALETTE=sptopside
#exec MESHMAP SETTEXTURE MESHMAP=spj NUM=1 TEXTURE=sptopside

function PostBeginPlay() {
	LoopAnim('Walk',0.6);
}

function Hiss() {
	PlayAnim('Hiss',0.4);
	Enable('AnimEnd');
}

function AnimEnd() {
	LoopAnim('Walk',0.6);
}

function PlayDead() {
	PlayAnim('Dead',0.3);
	Disable('AnimEnd');
}


