class Face extends Hallows_meshes;

#exec MESH IMPORT MESH=Face ANIVFILE=Face_a.3d DATAFILE=Face_d.3d X=0 Y=0 Z=0
#exec MESH ORIGIN MESH=Face X=0 Y=0 Z=0 YAW=64

#exec MESH SEQUENCE MESH=Face SEQ=All        STARTFRAME=0 NUMFRAMES=85
#exec MESH SEQUENCE MESH=Face SEQ=Wink       STARTFRAME=0 NUMFRAMES=9	RATE=18
#exec MESH SEQUENCE MESH=Face SEQ=SpinAttack STARTFRAME=9 NUMFRAMES=37	RATE=18
#exec MESH SEQUENCE MESH=Face SEQ=Look       STARTFRAME=46 NUMFRAMES=21	RATE=18
#exec MESH SEQUENCE MESH=Face SEQ=Hurt       STARTFRAME=67 NUMFRAMES=1
#exec MESH SEQUENCE MESH=Face SEQ=Angry      STARTFRAME=68 NUMFRAMES=1
#exec MESH SEQUENCE MESH=Face SEQ=Blink      STARTFRAME=69 NUMFRAMES=3	RATE=9
//#exec MESH SEQUENCE MESH=Face SEQ=Fire       STARTFRAME=72 NUMFRAMES=13	RATE=18

#exec MESH SEQUENCE MESH=Face SEQ=Breath	STARTFRAME=46	NUMFRAMES=21	RATE=12
#exec MESH SEQUENCE MESH=Face SEQ=Dead1		STARTFRAME=9    NUMFRAMES=37	RATE=37
#exec MESH SEQUENCE MESH=Face SEQ=TakeHit	STARTFRAME=67    NUMFRAMES=1
#exec MESH SEQUENCE MESH=Face SEQ=Fire		STARTFRAME=72   NUMFRAMES=13	RATE=15  Group=Attack
#exec MESH SEQUENCE MESH=Face SEQ=Fighter	STARTFRAME=68	NUMFRAMES=1
#exec MESH SEQUENCE MESH=Face SEQ=Fly		STARTFRAME=0   NUMFRAMES=9	RATE=12
#exec MESH SEQUENCE MESH=Face SEQ=FlyFire	STARTFRAME=72   NUMFRAMES=13	RATE=15  Group=MovingAttack
#exec MESH SEQUENCE MESH=Face SEQ=Land		STARTFRAME=69   NUMFRAMES=3	RATE=5
#exec MESH SEQUENCE MESH=Face SEQ=Run		STARTFRAME=0   NUMFRAMES=9	RATE=12
#exec MESH SEQUENCE MESH=Face SEQ=Strike	STARTFRAME=72  NUMFRAMES=13	RATE=15  Group=Attack
#exec MESH SEQUENCE MESH=Face SEQ=TakeOff	STARTFRAME=0  NUMFRAMES=9	RATE=15
#exec MESH SEQUENCE MESH=Face SEQ=Twirl		STARTFRAME=46  NUMFRAMES=21
#exec MESH SEQUENCE MESH=Face SEQ=Walk		STARTFRAME=46  NUMFRAMES=21	RATE=18
#exec MESH SEQUENCE MESH=Face SEQ=WalkFire	STARTFRAME=72  NUMFRAMES=13	RATE=18  Group=MovingAttack
#exec MESH SEQUENCE MESH=Face SEQ=Appear	STARTFRAME=46  NUMFRAMES=21
#exec MESH SEQUENCE MESH=Face SEQ=FDodgeUp	STARTFRAME=9  NUMFRAMES=37	RATE=37	 Group=Dodge
#exec MESH SEQUENCE MESH=Face SEQ=FDodgeL	STARTFRAME=9  NUMFRAMES=37	RATE=37  Group=Dodge
#exec MESH SEQUENCE MESH=Face SEQ=FDodgeR	STARTFRAME=9  NUMFRAMES=37	RATE=37  Group=Dodge
#exec MESH SEQUENCE MESH=Face SEQ=GKick1	STARTFRAME=72  NUMFRAMES=13	RATE=18
#exec MESH SEQUENCE MESH=Face SEQ=GKick2	STARTFRAME=72  NUMFRAMES=13	RATE=18
#exec MESH SEQUENCE MESH=Face SEQ=GPunch1	STARTFRAME=72  NUMFRAMES=13	RATE=18
#exec MESH SEQUENCE MESH=Face SEQ=GPunch2	STARTFRAME=72  NUMFRAMES=13	RATE=18
#exec MESH SEQUENCE MESH=Face SEQ=Grab		STARTFRAME=72  NUMFRAMES=13	RATE=18
#exec MESH SEQUENCE MESH=Face SEQ=Laugh		STARTFRAME=46  NUMFRAMES=21	RATE=15
#exec MESH SEQUENCE MESH=Face SEQ=Munch		STARTFRAME=46  NUMFRAMES=21	RATE=15
#exec MESH SEQUENCE MESH=Face SEQ=Point		STARTFRAME=46  NUMFRAMES=21	RATE=15
#exec MESH SEQUENCE MESH=Face SEQ=Teleport	STARTFRAME=9  NUMFRAMES=37	RATE=37
#exec MESH SEQUENCE MESH=Face SEQ=Dead2A	STARTFRAME=9  NUMFRAMES=37	RATE=37
#exec MESH SEQUENCE MESH=Face SEQ=Fall		STARTFRAME=9  NUMFRAMES=37	RATE=37
#exec MESH SEQUENCE MESH=Face SEQ=Dead2B	STARTFRAME=9  NUMFRAMES=37	RATE=37

#exec TEXTURE IMPORT NAME=JFace0 FILE=Me-Frount01a.PCX GROUP=Skins
#exec TEXTURE IMPORT NAME=JFace1 FILE=My-Eye.PCX GROUP=Skins

#exec TEXTURE IMPORT NAME=Earth_Golem FILE=Earth_Golem.PCX GROUP=Skins  // added


#exec MESHMAP NEW   MESHMAP=Face MESH=Face
#exec MESHMAP SCALE MESHMAP=Face X=0.1 Y=0.1 Z=0.2

#exec MESHMAP SETTEXTURE MESHMAP=Face NUM=0 TEXTURE=JFace0
#exec MESHMAP SETTEXTURE MESHMAP=Face NUM=1 TEXTURE=JFace1

#exec MESH NOTIFY MESH=Face SEQ=Fire TIME=0.3 FUNCTION=SpitFire


////////////////////////////////////////////
#exec MESH IMPORT MESH=FlatFace ANIVFILE=Face_a.3d DATAFILE=Face_d.3d X=0 Y=0 Z=0
#exec MESH ORIGIN MESH=FlatFace X=0 Y=0 Z=0 YAW=64

#exec MESH SEQUENCE MESH=FlatFace SEQ=All        STARTFRAME=0 NUMFRAMES=85
#exec MESH SEQUENCE MESH=FlatFace SEQ=Wink       STARTFRAME=0 NUMFRAMES=9	RATE=18
#exec MESH SEQUENCE MESH=FlatFace SEQ=SpinAttack STARTFRAME=9 NUMFRAMES=37	RATE=18
#exec MESH SEQUENCE MESH=FlatFace SEQ=Look       STARTFRAME=46 NUMFRAMES=21	RATE=18
#exec MESH SEQUENCE MESH=FlatFace SEQ=Hurt       STARTFRAME=67 NUMFRAMES=1
#exec MESH SEQUENCE MESH=FlatFace SEQ=Angry      STARTFRAME=68 NUMFRAMES=1
#exec MESH SEQUENCE MESH=FlatFace SEQ=Blink      STARTFRAME=69 NUMFRAMES=3	RATE=9
#exec MESH SEQUENCE MESH=FlatFace SEQ=Fire       STARTFRAME=72 NUMFRAMES=13	RATE=18

#exec MESHMAP NEW   MESHMAP=FlatFace MESH=FlatFace
#exec MESHMAP SCALE MESHMAP=FlatFace X=0.1 Y=0.05 Z=0.2

#exec MESHMAP SETTEXTURE MESHMAP=FlatFace NUM=0 TEXTURE=Earth_Golem
#exec MESHMAP SETTEXTURE MESHMAP=FlatFace NUM=1 TEXTURE=Earth_Golem

#exec MESH NOTIFY MESH=FlatFace SEQ=Fire TIME=0.3 FUNCTION=SpitFire

