class Rat extends Hallows_meshes;


// from thevery mod

#exec MESH IMPORT MESH=rat ANIVFILE=rat_a.3d DATAFILE=rat_d.3d X=0 Y=0 Z=0
#exec MESH ORIGIN MESH=rat X=0 Y=0 Z=0 YAW=128

// normal rat anims
#exec MESH SEQUENCE MESH=rat SEQ=All STARTFRAME=0 NUMFRAMES=61 RATE=24
#exec MESH SEQUENCE MESH=rat SEQ=Run STARTFRAME=0 NUMFRAMES=9 RATE=24
#exec MESH SEQUENCE MESH=rat SEQ=LookAround STARTFRAME=8 NUMFRAMES=21 RATE=24
#exec MESH SEQUENCE MESH=rat SEQ=UpAndDown STARTFRAME=28 NUMFRAMES=33 RATE=24

// player anims mapped onto rat anims
#exec MESH SEQUENCE MESH=rat SEQ=GutHit    STARTFRAME=23   NUMFRAMES=1				Group=TakeHit
#exec MESH SEQUENCE MESH=rat SEQ=AimDnLg   STARTFRAME=0   NUMFRAMES=1				Group=Waiting
#exec MESH SEQUENCE MESH=rat SEQ=AimDnSm   STARTFRAME=0   NUMFRAMES=1				Group=Waiting
#exec MESH SEQUENCE MESH=rat SEQ=AimUpLg   STARTFRAME=31   NUMFRAMES=1				Group=Waiting
#exec MESH SEQUENCE MESH=rat SEQ=AimUpSm   STARTFRAME=31   NUMFRAMES=1				Group=Waiting
#exec MESH SEQUENCE MESH=rat SEQ=Taunt1    STARTFRAME=28   NUMFRAMES=33 RATE=24		Group=Gesture
#exec MESH SEQUENCE MESH=rat SEQ=Breath1   STARTFRAME=8  NUMFRAMES=21  RATE=15		Group=Waiting
#exec MESH SEQUENCE MESH=rat SEQ=Breath2   STARTFRAME=8  NUMFRAMES=21 RATE=24		Group=Waiting
#exec MESH SEQUENCE MESH=rat SEQ=CockGun   STARTFRAME=28  NUMFRAMES=33  RATE=24		Group=Waiting
#exec MESH SEQUENCE MESH=rat SEQ=DuckWlkL  STARTFRAME=0  NUMFRAMES=9 RATE=15		Group=Ducking
#exec MESH SEQUENCE MESH=rat SEQ=DuckWlkS  STARTFRAME=0  NUMFRAMES=9 RATE=15		Group=Ducking
#exec MESH SEQUENCE MESH=rat SEQ=HeadHit   STARTFRAME=23  NUMFRAMES=1				Group=TakeHit
#exec MESH SEQUENCE MESH=rat SEQ=JumpLgFr  STARTFRAME=34  NUMFRAMES=1				Group=Jumping
#exec MESH SEQUENCE MESH=rat SEQ=JumpSmFr  STARTFRAME=34  NUMFRAMES=1				Group=Jumping
#exec MESH SEQUENCE MESH=rat SEQ=LandLgFr  STARTFRAME=0  NUMFRAMES=1				Group=Landing
#exec MESH SEQUENCE MESH=rat SEQ=LandSmFr  STARTFRAME=0  NUMFRAMES=1				Group=Landing
#exec MESH SEQUENCE MESH=rat SEQ=LeftHit   STARTFRAME=23  NUMFRAMES=1				Group=TakeHit
#exec MESH SEQUENCE MESH=rat SEQ=Look      STARTFRAME=8  NUMFRAMES=21 RATE=24     Group=Waiting
#exec MESH SEQUENCE MESH=rat SEQ=RightHit  STARTFRAME=23 NUMFRAMES=1				Group=TakeHit
#exec MESH SEQUENCE MESH=rat SEQ=RunLg     STARTFRAME=0 NUMFRAMES=9 RATE=24
#exec MESH SEQUENCE MESH=rat SEQ=RunLgFr   STARTFRAME=0 NUMFRAMES=9 RATE=24    Group=MovingFire
#exec MESH SEQUENCE MESH=rat SEQ=RunSm     STARTFRAME=0 NUMFRAMES=9 RATE=24
#exec MESH SEQUENCE MESH=rat SEQ=RunSmFr   STARTFRAME=0 NUMFRAMES=9 RATE=24		Group=MovingFire
#exec MESH SEQUENCE MESH=rat SEQ=StillFrRp STARTFRAME=0 NUMFRAMES=1 RATE=15		Group=Waiting
#exec MESH SEQUENCE MESH=rat SEQ=StillLgFr STARTFRAME=0 NUMFRAMES=1 RATE=15		Group=Waiting
#exec MESH SEQUENCE MESH=rat SEQ=StillSmFr STARTFRAME=0 NUMFRAMES=1  RATE=15		Group=Waiting
#exec MESH SEQUENCE MESH=rat SEQ=SwimLg    STARTFRAME=0 NUMFRAMES=9 RATE=15
#exec MESH SEQUENCE MESH=rat SEQ=SwimSm    STARTFRAME=0 NUMFRAMES=9 RATE=15
#exec MESH SEQUENCE MESH=rat SEQ=TreadLg   STARTFRAME=0 NUMFRAMES=9 RATE=10		Group=Waiting
#exec MESH SEQUENCE MESH=rat SEQ=TreadSm   STARTFRAME=0 NUMFRAMES=9 RATE=10		Group=Waiting
#exec MESH SEQUENCE MESH=rat SEQ=Victory1  STARTFRAME=28 NUMFRAMES=33 RATE=24 		Group=Gesture
#exec MESH SEQUENCE MESH=rat SEQ=WalkLg    STARTFRAME=0 NUMFRAMES=9 RATE=24
#exec MESH SEQUENCE MESH=rat SEQ=WalkLgFr  STARTFRAME=0 NUMFRAMES=9 RATE=24		Group=MovingFire
#exec MESH SEQUENCE MESH=rat SEQ=WalkSm    STARTFRAME=0 NUMFRAMES=9 RATE=24
#exec MESH SEQUENCE MESH=rat SEQ=WalkSmFr  STARTFRAME=0 NUMFRAMES=9 RATE=24		Group=MovingFire
#exec MESH SEQUENCE MESH=rat SEQ=Wave      STARTFRAME=28 NUMFRAMES=33 RATE=24		Group=Gesture
#exec MESH SEQUENCE MESH=rat SEQ=Walk      STARTFRAME=0 NUMFRAMES=9 RATE=24
#exec MESH SEQUENCE MESH=rat SEQ=TurnLg    STARTFRAME=0 NUMFRAMES=2  RATE=24					// 2 frames of walklgfr
#exec MESH SEQUENCE MESH=rat SEQ=TurnSm    STARTFRAME=0 NUMFRAMES=2  RATE=24					// 2 frames of walksmfr
#exec MESH SEQUENCE MESH=rat SEQ=Breath1L  STARTFRAME=8 NUMFRAMES=21  RATE=24		Group=Waiting
#exec MESH SEQUENCE MESH=rat SEQ=Breath2L  STARTFRAME=8 NUMFRAMES=21 RATE=24		Group=Waiting
#exec MESH SEQUENCE MESH=rat SEQ=CockGunL  STARTFRAME=28 NUMFRAMES=33  RATE=24		Group=Waiting
#exec MESH SEQUENCE MESH=rat SEQ=LookL     STARTFRAME=9 NUMFRAMES=21 RATE=24     Group=Waiting
#exec MESH SEQUENCE MESH=rat SEQ=WaveL     STARTFRAME=28 NUMFRAMES=33 RATE=24		Group=Gesture
#exec MESH SEQUENCE MESH=rat SEQ=Chat1     STARTFRAME=36 NUMFRAMES=18 RATE=24		Group=Waiting
#exec MESH SEQUENCE MESH=rat SEQ=Chat2     STARTFRAME=36 NUMFRAMES=18 RATE=24		Group=Waiting
#exec MESH SEQUENCE MESH=rat SEQ=Thrust    STARTFRAME=28 NUMFRAMES=33 RATE=24		Group=Gesture
#exec MESH SEQUENCE MESH=rat SEQ=DodgeB    STARTFRAME=23 NUMFRAMES=1				Group=Dodge
#exec MESH SEQUENCE MESH=rat SEQ=DodgeF    STARTFRAME=14 NUMFRAMES=1				Group=Dodge
#exec MESH SEQUENCE MESH=rat SEQ=DodgeR    STARTFRAME=23 NUMFRAMES=1				Group=Dodge
#exec MESH SEQUENCE MESH=rat SEQ=DodgeL    STARTFRAME=14 NUMFRAMES=1				Group=Dodge
#exec MESH SEQUENCE MESH=rat SEQ=Fighter   STARTFRAME=23 NUMFRAMES=1								// first frame of stilllgfr
#exec MESH SEQUENCE MESH=rat SEQ=Flip      STARTFRAME=28 NUMFRAMES=33				Group=Dodge
#exec MESH SEQUENCE MESH=rat SEQ=Dead1     STARTFRAME=50 NUMFRAMES=11 RATE=24		Group=TakeHit
#exec MESH SEQUENCE MESH=rat SEQ=Dead2     STARTFRAME=50 NUMFRAMES=11 RATE=24
#exec MESH SEQUENCE MESH=rat SEQ=Dead3     STARTFRAME=50 NUMFRAMES=11 RATE=24
#exec MESH SEQUENCE MESH=rat SEQ=Dead4     STARTFRAME=50 NUMFRAMES=11 RATE=24
#exec MESH SEQUENCE MESH=rat SEQ=Dead7     STARTFRAME=50 NUMFRAMES=11 RATE=24		Group=TakeHit
#exec MESH SEQUENCE MESH=rat SEQ=Dead8     STARTFRAME=50 NUMFRAMES=11 RATE=24		Group=TakeHit
#exec MESH SEQUENCE MESH=rat SEQ=Dead9     STARTFRAME=50 NUMFRAMES=11 RATE=24		Group=TakeHit
#exec MESH SEQUENCE MESH=rat SEQ=Dead9B    STARTFRAME=50 NUMFRAMES=11 RATE=24
#exec MESH SEQUENCE MESH=rat SEQ=Dead11    STARTFRAME=50 NUMFRAMES=11 RATE=24
#exec MESH SEQUENCE MESH=rat SEQ=BackRun   STARTFRAME=0 NUMFRAMES=9 RATE=20		Group=MovingFire
#exec MESH SEQUENCE MESH=rat SEQ=BackRunL   STARTFRAME=0 NUMFRAMES=9 RATE=20		Group=MovingFire
#exec MESH SEQUENCE MESH=rat SEQ=StrafeL   STARTFRAME=0 NUMFRAMES=9 RATE=24		Group=MovingFire
#exec MESH SEQUENCE MESH=rat SEQ=StrafeR   STARTFRAME=0 NUMFRAMES=9 RATE=24		Group=MovingFire

#exec MESH SEQUENCE MESH=rat SEQ=DeathEnd  STARTFRAME=0 NUMFRAMES=1
#exec MESH SEQUENCE MESH=rat SEQ=DeathEnd2 STARTFRAME=0 NUMFRAMES=1
#exec MESH SEQUENCE MESH=rat SEQ=DeathEnd3 STARTFRAME=0 NUMFRAMES=1

#exec MESHMAP NEW MESHMAP=rat MESH=rat
#exec MESHMAP SCALE MESHMAP=rat X=0.1 Y=0.1 Z=0.2

#exec TEXTURE IMPORT NAME=ratJtex1 FILE=rat.pcx GROUP=Skins FLAGS=2
#exec TEXTURE IMPORT NAME=ratJtex1 FILE=rat.pcx GROUP=Skins PALETTE=ratJtex1
#exec MESHMAP SETTEXTURE MESHMAP=rat NUM=0 TEXTURE=ratJtex1

/*
#exec AUDIO IMPORT FILE="Sounds\Rat\Ra1.wav" NAME="Squeak1" GROUP="Rat"
#exec AUDIO IMPORT FILE="Sounds\Rat\Ra2.wav" NAME="Squeak2" GROUP="Rat"
#exec AUDIO IMPORT FILE="Sounds\Rat\Ra3.wav" NAME="Squeak3" GROUP="Rat"
#exec AUDIO IMPORT FILE="Sounds\Rat\Ra4.wav" NAME="Squeak4" GROUP="Rat"
#exec AUDIO IMPORT FILE="Sounds\Rat\Ra5.wav" NAME="Squeak5" GROUP="Rat"
#exec AUDIO IMPORT FILE="Sounds\Rat\Ra6.wav" NAME="Squeak6" GROUP="Rat"
#exec AUDIO IMPORT FILE="Sounds\Rat\Ra7.wav" NAME="Squeak7" GROUP="Rat"
#exec AUDIO IMPORT FILE="Sounds\Rat\Ri1.wav" NAME="IdleSqueak1" GROUP="Rat"
#exec AUDIO IMPORT FILE="Sounds\Rat\Ri2.wav" NAME="IdleSqueak2" GROUP="Rat"
#exec AUDIO IMPORT FILE="Sounds\Rat\Ri3.wav" NAME="IdleSqueak3" GROUP="Rat"
#exec AUDIO IMPORT FILE="Sounds\Rat\ratScream2.wav" NAME="SqueakLeap" GROUP="Rat"
*/

defaultproperties
{
    DrawType=2
    Mesh=LodMesh'Rat'

}

