//=============================================================================
// knifewep.
//=============================================================================
class knife_wep expands Weapon;


var() localized string SelectMessage;

function Fire( float Value )
{
		GotoState('NormalFire');
		if ( PlayerPawn(Owner) != None )
			PlayerPawn(Owner).ShakeView(ShakeTime, ShakeMag, ShakeVert);
		bPointing=True;
		PlayFiring();
		if ( !bRapidFire && (FiringSpeed > 0) )

			ProjectileFire(class'knifek', ProjectileSpeed, bWarnTarget);
		if ( Owner.bHidden )
			CheckVisibility();
}

function AltFire( float Value )
{
		GotoState('AltFiring');
		if ( PlayerPawn(Owner) != None )
			PlayerPawn(Owner).ShakeView(ShakeTime, ShakeMag, ShakeVert);
		bPointing=True;
		PlayAltFiring();
		if ( !bRapidFire && (FiringSpeed > 0) )
			Pawn(Owner).PlayRecoil(FiringSpeed);

			ProjectileFire(class'knifek', AltProjectileSpeed, bAltWarnTarget);
		if ( Owner.bHidden )
			CheckVisibility();

}

function PlayFiring()
{
	Owner.PlaySound(FireSound, SLOT_None, 1.8*Pawn(Owner).SoundDampening,,,1.2);
	if ( PlayerPawn(Owner) != None )
		PlayAnim('all');
}

function PlayAltFiring()
{
	Owner.PlaySound(AltFireSound, SLOT_None, 1.8*Pawn(Owner).SoundDampening,,,1.2);
	if ( PlayerPawn(Owner) != None )
		PlayAnim('all');
}

function PlayIdleAnim()
{
	TweenAnim('All',0.5);
	Owner.PlaySound(CockingSound, SLOT_None, 1.8*Pawn(Owner).SoundDampening,,,1.2);
}


function TweenDown()
{
	Owner.PlaySound(Misc1Sound, SLOT_None, 1.8*Pawn(Owner).SoundDampening,,,1.2);
	if ( GetAnimGroup(AnimSequence) == 'Select' )
		TweenAnim( AnimSequence, AnimFrame * 0.4 );
	else
		PlayAnim('all', 1.0, 0.05);

}

function TweenSelect()
{
	TweenAnim('all',0.001);
}

function PlaySelect()
{
    // no // Pawn(Owner).ClientMessage(SelectMessage);
	Owner.PlaySound(SelectSound, SLOT_None, Pawn(Owner).SoundDampening);
	PlayAnim('all',0.4);
}

defaultproperties
{
     SelectMessage="knife"
     FireSound=Sound'UnrealShare.General.ArrowSpawn'
     AltFireSound=Sound'UnrealShare.General.ArrowSpawn'
     PlayerViewMesh=LodMesh'Hallows_fx.ThObjectButcherKnife'
     PickupViewMesh=LodMesh'Hallows_fx.ThObjectButcherKnife'
     ThirdPersonMesh=LodMesh'Hallows_fx.ThObjectButcherKnife'
     Mesh=LodMesh'Hallows_fx.ThObjectButcherKnife'
     PlayerViewScale=0.52
     PickupViewScale=1.50
}
